package com.service;

import com.entity.Apply;

import java.util.List;
import java.util.Map;


public interface ApplyService {

//  添加资源申请
  public int add(Apply po);
//  获取单个资源申请信息
  public Apply getById(int id);
//  修改资源申请
  public int update(Apply po);
//  删除资源申请
  public int delete(int id);
//  查询资源申请
  public List<Apply> getAll(Map<String, Object> map);
//  验证资源申请名称
  public Apply checkName(Map<String, Object> account);
//  分页显示
  public List<Apply> getByPage(Map<String, Object> map);
//  获取信息的条数
  public int getCount(Map<String, Object> po);


}
